summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author DhabyX <slack.dhabyx@gmail.com>2017-02-13 22:36:49 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-02-18 07:54:08 +0700
commit46a3dcddd70c333fad17bcad333fa73dcecd3f92 (patch)
tree5ad9aa738590de26b4947e595be0f0f8b7270a47 /graphics
parent0a4b66236dcde6424372e8fa0013be6bed8f8d6d (diff)
downloadslackbuilds-46a3dcddd70c333fad17bcad333fa73dcecd3f92.tar.gz
slackbuilds-46a3dcddd70c333fad17bcad333fa73dcecd3f92.tar.xz
graphics/pencil3: Added (Sketching and GUI prototyping tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/pencil3/README22
-rw-r--r--graphics/pencil3/doinst.sh9
-rw-r--r--graphics/pencil3/pencil3.SlackBuild160
-rw-r--r--graphics/pencil3/pencil3.desktop11
-rw-r--r--graphics/pencil3/pencil3.info10
-rw-r--r--graphics/pencil3/slack-desc19
6 files changed, 231 insertions, 0 deletions
diff --git a/graphics/pencil3/README b/graphics/pencil3/README
new file mode 100644
index 0000000000..1b99634cc0
--- /dev/null
+++ b/graphics/pencil3/README
@@ -0,0 +1,22 @@
+Pencil is built for the purpose of providing a free and open-source
+GUI prototyping tool that people can easily install and use to create
+mockups in popular desktop platforms.
+
+This package is a release candidate, use at your own risk.
+
+This version can be installed along with 2.0.x version without any problem.
+
+Optional features
+
+ELECTRON (default=no): This requires electron, available in SBo.
+To use pencil3 with some version of electron previously installed in the system.
+Otherwise the SlackBuild use and download electron required for pencil3.
+
+BINARY (default = no): Use it to create a binary package, this option requires
+downloading electron for the architecture of your system, close to 40MiB.
+You can install electron package from SBo with the INSTALL_ZIP=yes option,
+to avoid The download.
+
+If you need to use any option do something like:
+
+ELECTRON=yes ./pencil3.SlackBuild
diff --git a/graphics/pencil3/doinst.sh b/graphics/pencil3/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/graphics/pencil3/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/graphics/pencil3/pencil3.SlackBuild b/graphics/pencil3/pencil3.SlackBuild
new file mode 100644
index 0000000000..5362e61afb
--- /dev/null
+++ b/graphics/pencil3/pencil3.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/sh
+
+# Slackware build script for pencil3
+
+# Copyright 2017 Dhaby Xiloj <slack.dhabyx@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pencil3
+PKGNAM=pencil
+VERSION=${VERSION:-3.0.0_rc2}
+RELEASE=${RELEASE:-3.0.0-rc.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ NPMARCH="ia32"
+elif [ "$ARCH" = "i686" ]; then
+ NPMARCH="ia32"
+elif [ "$ARCH" = "x86_64" ]; then
+ NPMARCH="x64"
+fi
+
+
+# Use the electron installed on system instead of
+# the version used with this application
+ELECTRON=${ELECTRON:-no}
+
+# Create binary package
+BINARY=${BINARY:-no}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$RELEASE
+tar xvf $CWD/$PKGNAM-$RELEASE.tar.gz || tar xvf $CWD/v$RELEASE
+cd $PKGNAM-$RELEASE
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# remove package generation
+sed -i -e 's/"target": \["deb", "rpm", "tar.gz"\]/"target": []/g' package.json
+
+# preparing some places for installation
+mkdir -p $PKG/usr/share/$PRGNAM
+mkdir -p $PKG/usr/bin
+
+echo '********************************************************************'
+echo '* The installation process will download some modules for pencil3. *'
+echo '********************************************************************'
+
+# Generating binary app
+if [ "${BINARY}" != "no" ]; then
+ if [ "${ELECTRON}" != "no" ]; then
+ # test if electron is installed
+ ELECTRON_VERSION=$(electron --version | tr -d 'v')
+ if [ "${ELECTRON_VERSION}" != "" ]; then
+ # change electron version in package.json
+ sed -i -E -e 's/"electron": "[0-9.]+"/"electron": "'${ELECTRON_VERSION}'"/g' package.json
+ # test if electron zip is installed
+ ELECTRON_ZIP="/usr/share/electron/release/electron-v${ELECTRON_VERSION}-linux-${NPMARCH}.zip"
+ if [ -f ${ELECTRON_ZIP} ]; then
+ sed -i -e 's#".electron-cache"#"/usr/share/electron/release/"#g' package.json
+ fi
+ fi
+ fi
+
+ npm install
+ ./node_modules/.bin/build --linux
+
+ EXEC_COMMAND="./pencil"
+ # Manual installation
+ pushd dist/linux-unpacked
+ cp -r *.pak icudtl.dat libffmpeg.so libnode.so locales \
+ natives_blob.bin pencil resources snapshot_blob.bin \
+ $PKG/usr/share/$PRGNAM
+ popd
+ PACKAGE_LICENSES="dist/linux-unpacked/LICENSE*"
+else # install as node script style
+ pushd app
+ # install all dependencies of the application
+ npm install
+ popd
+ # Use system electron
+ if [ "${ELECTRON}" != "no" ]; then
+ EXEC_COMMAND="electron ./app"
+ cp -r app package.json $PKG/usr/share/$PRGNAM
+ else
+ npm install
+ EXEC_COMMAND="./node_modules/.bin/electron ./app"
+ cp -r app node_modules package.json $PKG/usr/share/$PRGNAM
+ fi
+fi
+
+# Making shell script to load pencil
+cat <<EOF > $PKG/usr/bin/$PRGNAM
+#!/bin/sh
+cd /usr/share/$PRGNAM
+$EXEC_COMMAND
+EOF
+chmod a+x $PKG/usr/bin/$PRGNAM
+
+# Installing icons and .desktop file
+pushd build/icons
+ for IMG in *.png
+ do
+ DIR_NAME=${IMG%.*}
+ install -D $IMG $PKG/usr/share/icons/hicolor/$DIR_NAME/apps/$PRGNAM.png
+ done
+popd
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-${VERSION}
+cp -a LICENSE.md README.md $PACKAGE_LICENSES $PKG/usr/doc/$PRGNAM-${VERSION}
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-${VERSION}/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-${VERSION}-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/pencil3/pencil3.desktop b/graphics/pencil3/pencil3.desktop
new file mode 100644
index 0000000000..43f07f872b
--- /dev/null
+++ b/graphics/pencil3/pencil3.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Pencil 3
+Comment=Sketching and GUI prototyping tool
+GenericName=Pencil
+Exec=/usr/bin/pencil3
+Icon=pencil3
+Type=Application
+StartupNotify=true
+Terminal=false
+Categories=Graphics;2DGraphics;Development;
+MimeType=application/ep;
diff --git a/graphics/pencil3/pencil3.info b/graphics/pencil3/pencil3.info
new file mode 100644
index 0000000000..0823b733d0
--- /dev/null
+++ b/graphics/pencil3/pencil3.info
@@ -0,0 +1,10 @@
+PRGNAM="pencil3"
+VERSION="3.0.0_rc2"
+HOMEPAGE="http://pencil.evolus.vn/"
+DOWNLOAD="https://codeload.github.com/evolus/pencil/tar.gz/v3.0.0-rc.2"
+MD5SUM="1ec3151bec9b2d01725edfbae5919303"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nodejs"
+MAINTAINER="DhabyX"
+EMAIL="slack.dhabyx@gmail.com"
diff --git a/graphics/pencil3/slack-desc b/graphics/pencil3/slack-desc
new file mode 100644
index 0000000000..14cbe430e8
--- /dev/null
+++ b/graphics/pencil3/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pencil3: pencil3 (Sketching and GUI prototyping tool)
+pencil3:
+pencil3: Pencil is built for the purpose of providing a free and open-source
+pencil3: GUI prototyping tool that people can easily install and use to create
+pencil3: mockups in popular desktop platforms.
+pencil3:
+pencil3:
+pencil3:
+pencil3:
+pencil3:
+pencil3: